//
//  CourseTableViewController.h
//  EducationPlus
//
//  Created by Jon Freberg on 5/12/12.
//  Copyright (c) 2012 FrebergWeb. All rights reserved.
//

#import <UIKit/UIKit.h>
#import "CoreDataTableViewController.h"
#import "User+Create.h"
#import "Course+Create.h"
#import "NewsTableViewController.h"
#import "CoreDataSingleton.h"

@interface CourseTableViewController : CoreDataTableViewController <UITableViewDataSource, UITableViewDelegate>

@property (nonatomic, strong) User *user;
@property (nonatomic, strong) Course *course;

- (void)setupFetchedResultsController:(NSManagedObjectContext *)managedObjectContext;
- (void)loadCoursesForUser:(User *)user inManagedObjectContext:(NSManagedObjectContext *)managedObjectContext;

@end
