//
//  EducationPlusLib.h
//  EducationPlus
//
//  Created by Jon Freberg on 3/21/12.
//  Copyright (c) 2012 FrebergWeb. All rights reserved.
//

#import <Foundation/Foundation.h>
#import <CommonCrypto/CommonDigest.h>

@interface EducationPlusLib : NSObject

+ (NSString *)sha1:(NSString *)input;
+ (NSDictionary *)generateSchoolJSONObject:(NSString *)schoolID shortName:(NSString *)schoolShortName fullName:(NSString *)schoolFullName;
+ (NSString *)generateJSONObject:(NSString *)firstName
                        lastName:(NSString *)lastName
                        gradYear:(NSString *)gradYear
                          school:(NSDictionary *)school
                           email:(NSString *)email
                        password:(NSString *)password
                 registerNewUser:(BOOL)reg;

@end
