//
//  ViewController.h
//  EducationPlus
//
//  Created by Jon Freberg on 3/7/12.
//  Copyright (c) 2012 FrebergWeb. All rights reserved.
//

#import <UIKit/UIKit.h>
#import <Foundation/Foundation.h>
#import <CoreGraphics/CoreGraphics.h>

#import "SplitViewBarButtonItemPresenter.h"
#import "CoreDataSingleton.h"

@interface LoginViewController : UIViewController <SplitViewBarButtonItemPresenter> {
    NSManagedObjectContext *managedObjectContext;
    UIActivityIndicatorView *ai;
    UIView *bgView;
}

@property (weak, nonatomic) IBOutlet UITextField *UserNameTextField;
@property (weak, nonatomic) IBOutlet UITextField *PasswordTextField;
@property (weak, nonatomic) IBOutlet UILabel *ResponseTextLabel;
@property (weak, nonatomic) IBOutlet UIButton *LoginButton;
@property (nonatomic, retain) NSManagedObjectContext *managedObjectContext;

- (IBAction)LogInButtonAction:(id)sender;

@end