//
//  MenuSwipeGestures.m
//  EducationPlus
//
//  Created by Jon Freberg on 3/19/12.
//  Copyright (c) 2012 FrebergWeb. All rights reserved.
//
//  Deprecated class.
//
//

#import "MenuSwipeGestures.h"

@implementation MenuSwipeGestures

- (void)initializeMenuSwipeGestures:(UIView *)view svc:(NSArray *)splitViewController {
    UISwipeGestureRecognizer *swipeLeftRecognizer;
    swipeLeftRecognizer = [[UISwipeGestureRecognizer alloc] initWithTarget:self action:@selector(handleLeftSwipeGesture:svc:)];
    swipeLeftRecognizer.direction = UISwipeGestureRecognizerDirectionLeft;
    
    UISwipeGestureRecognizer *swipeRightRecognizer;
    swipeRightRecognizer = [[UISwipeGestureRecognizer alloc] initWithTarget:self action:@selector(handleRightSwipeGesture:svc:)];
    swipeRightRecognizer.direction = UISwipeGestureRecognizerDirectionRight;
    [view addGestureRecognizer:swipeRightRecognizer];
    
    UITapGestureRecognizer *tapRecognizer;
    tapRecognizer = [[UITapGestureRecognizer alloc] initWithTarget:self action:@selector(handleTapGesture:svc:)];
    [view addGestureRecognizer:tapRecognizer];
}

- (void)handleRightSwipeGesture:(UISwipeGestureRecognizer *)gesture svc:(NSArray *)splitViewController {
    [self showMasterView:splitViewController];
}

- (void)handleLeftSwipeGesture:(UISwipeGestureRecognizer *)gesture svc:(NSArray *)splitViewController {
    NSLog(@"Left swipe called.");
    [self hideMasterView:splitViewController];
}

- (void)handleTapGesture:(UITapGestureRecognizer *)gesture svc:(NSArray *)splitViewController {
    [self hideMasterView:splitViewController];
}

- (void)showMasterView:(NSArray *)splitViewController {
    NSArray *controllers = splitViewController;//self.splitViewController.viewControllers;
    UIViewController *rootViewController = [controllers objectAtIndex:0];
    
    UIView *rootView = rootViewController.view;
    CGRect rootFrame = rootView.frame;
    rootFrame.origin.x += rootFrame.size.width;
    NSLog(@"LOLZ = %f", rootFrame.origin.x);
    
    if(rootFrame.origin.x < 1) { 
        [UIView animateWithDuration:0.5
         
                         animations:^{ 
                             rootView.frame = rootFrame;
                         }         
                         completion:^(BOOL  completed){
                             NSLog(@"Animation completed");
                         }
         ];
    }

    NSLog(@"rootFrame.origin.x = %f", rootFrame.origin.x);
}

- (void)hideMasterView:(NSArray *)splitViewController {
    NSArray *controllers = splitViewController;//self.splitViewController.viewControllers;
    UIViewController *rootViewController = [controllers objectAtIndex:0];
    
    UIView *rootView = rootViewController.view;
    CGRect rootFrame = rootView.frame;
    
    NSLog(@"HIDE - rootFrame.origin.x = %f", rootFrame.origin.x);
    
    if(rootFrame.origin.x >= 0) {
        rootFrame.origin.x -= rootFrame.size.width;   
        [UIView animateWithDuration:0.5
                         animations:^{ 
                             rootView.frame = rootFrame;
                         }
                         completion:^(BOOL  completed){
                             NSLog(@"Animation completed");
                         }
         ];        
        NSLog(@"HIDE - rootFrame.origin.x etter animasjon = %@", rootFrame.origin.x);                    
    }
    
}



@end
