//
//  RotatableViewController.h
//  EducationPlus
//
//  Created by Jon Freberg on 3/7/12.
//  Copyright (c) 2012 FrebergWeb. All rights reserved.
//
//  The classes in the Rotatable View folder are here for further development.
//
//  Generic, always rotatable view controller.
//  Will play the role of delegate if in a split view.
//  Will do split view bar button dance as long as
//  the detail view controller implements UISplitViewControllerDelegate.

#import <UIKit/UIKit.h>

@interface RotatableViewController : UIViewController <UISplitViewControllerDelegate>

@end
