package no.ntnu.jf.dao;

import java.util.List;

import no.ntnu.jf.model.Admin;
import no.ntnu.jf.model.AdminInterface;

public interface AdminDAO {
	public abstract Admin saveAdmin(Admin a);
	public abstract void removeAdmin(Admin a);
	
	public abstract List<AdminInterface> findAllAdmins();
	public abstract List<Admin> findAllAdminsForSchool(long schoolId);
	
	public abstract AdminInterface getAdminByEmail(String email);
	public abstract Admin getAdminById(long id);

}
