package no.ntnu.jf.dao;

import java.util.List;

import no.ntnu.jf.model.News;

public interface NewsDAO {
	public abstract News saveNews(News n);
	public abstract boolean removeNews(News n);
	public abstract List<News> findAllNews();
	public abstract News findNewsById(long newsId);
	public abstract News findNewsByTextAndCourseId(String text, long courseId);
	public abstract List<News> findAllNewsForCourse(long courseId);
}
