package no.ntnu.jf.service;

import java.util.List;

import no.ntnu.jf.model.Course;
import no.ntnu.jf.model.School;
import no.ntnu.jf.model.User;

public interface CourseService {

	public abstract Course saveCourse(Course c);
	public abstract boolean removeCourse(Course c);
	
	public abstract List<Course> findAllCourses();
	public abstract List<Course> findAllCoursesForAdmin(long adminId);
	public abstract List<Course> findAllCoursesForSchool(String shortName);
//	public abstract List<Course> findAllCoursesForUser(String email);
	
	public abstract List<User> findAllUsersInCourseForSchool(long courseId, long schoolId);
	public abstract List<User> findAllUsersNotInCourseForSchool(long courseId, long schoolId);
	
	public abstract School findSchoolForCourse(long courseId);
	
	public abstract Course findCourseById(long id);
	
	public abstract Course addUsersToCourse(int[] userIds, long courseId);
}
