package no.ntnu.jf.service;

import javax.persistence.NamedQuery;

public class Queries {
	
//	public static final String FIND_USER_QUERY = "SELECT u FROM UserDO u WHERE u.userId = ?1";
	public static final String FIND_ALL_USERS_QUERY = "select u from User u";
	public static final String FIND_USER_BY_EMAIL_QUERY = "select u from User u WHERE u.email = ?1";
	public static final String FIND_USER_BY_ID_QUERY = "select u from User u WHERE u.id = ?1";
	public static final String FIND_ALL_USERS_BY_SCHOOL_QUERY = "select u from User u WHERE u.school.id = ?1";
//	public static final String FIND_ALL_USERS_NOT_IN_COURSE_QUERY_FOR_SCHOOL = "select u from User u WHERE u.courseList.courseId != ?1 AND u.school.id = ?2";
//	public static final String FIND_ALL_USERS_IN_COURSE_QUERY_FOR_SCHOOL = "select u from User u WHERE u.courseList.courseId = ?1  AND u.school.id = ?2";
	
	public static final String FIND_ALL_ADMINS_QUERY = "select a from Admin a";
	public static final String FIND_ADMIN_BY_EMAIL_QUERY = "select a from Admin a WHERE a.email = ?1";
	public static final String FIND_ADMIN_BY_ID_QUERY = "select a from Admin a WHERE a.id = ?1";
	public static final String FIND_ALL_ADMIN_FOR_SCHOOL_QUERY = "select a from Admin a WHERE a.school.id = ?1";
	
	public static final String FIND_ALL_SCHOOLS_QUERY = "select s from School s";
	public static final String FIND_SCHOOL_BY_NAME_QUERY = "select s from School s WHERE s.shortName = ?1";
	
	public static final String FIND_ALL_NEWS_QUERY = "select n from News n";
	public static final String FIND_ALL_NEWS_FOR_COURSE_QUERY = "select n from News n WHERE n.course.courseId = ?1";
	public static final String FIND_NEWS_BY_ID_QUERY = "select n from News n WHERE n.newsId = ?1";
	public static final String FIND_NEWS_BY_TEXT_AND_COURSEID_QUERY = "select n from News n WHERE n.topic = ?1 AND n.course.courseId = ?2";
	
	public static final String FIND_ALL_COURSES_QUERY = "select c from Course c";
	public static final String FIND_ALL_COURSES_FOR_SCHOOL_QUERY = "select c from Course c WHERE c.school.shortName = ?1";
	public static final String FIND_ALL_COURSES_FOR_ADMIN_QUERY = "select c from Course c WHERE c.admin.id = ?1";
//	public static final String FIND_ALL_COURSES_FOR_USER_QUERY = "s";
	public static final String FIND_COURSE_BY_ID_QUERY = "select c from Course c WHERE c.courseId = ?1";
	public static final String FIND_COURSE_BY_COURSE_CODE_QUERY = "select c from Course c WHERE c.courseCode = ?1";
	
	
	//Denne returnerer flere skoler.
	public static final String FIND_SCHOOL_FOR_COURSE_QUERY = "select DISTINCT c from Course c WHERE c.school.id = ?1";
//	public static final String FIND_ALL_USERS_IN_COURSE_QUERY = "select u from Course u WHERE u.courseName = ?1";	// Var u.users.userId
			
//	public static final String FIND_ALL_QUIZ_QUESTIONS_IN_QUIZ_QUERY = "select q from QuizQuestionDO q WHERE q.quiz.quizId = ?1";
	
}
