package no.ntnu.jf.service;

import java.util.List;

import no.ntnu.jf.model.User;
import no.ntnu.jf.model.UserInterface;

public interface UserService {
	public abstract void addUser(User u);
	public abstract void removeUser(User u);
	public abstract UserInterface getUserByEmail(String email);
	public abstract User getUserById(long id);
	public abstract List<UserInterface> findAllUsers();
	public abstract User tryLogin(User u);
	public List<User> findAllUsersAtSchool(long schoolId);
	
	public User tryLoginWithCreds(String username, String password);
}
