<%@ include file="static/header.jsp"%>
<%@ include file="static/menu.jsp"%>

<div id="content">
	<h1 class="siteHeader">Registered users at ${school.schoolShortName}</h1>

	<table class="apTable hor-minimalist-b">
	<c:if test="${fn:length(userlist) gt 0}">
		<thead>
			<tr class="apTR">
				<th class="apTH" scope="col">Firstname</th>
				<th class="apTH" scope="col">Lastname</th>
				<th class="apTH" scope="col">Email</th>
				<th class="apTH" scope="col">Grad. Year</th>
			</tr>
		</thead>
		<tbody>
		<c:forEach items="${userlist}" var="user">
			<tr class="apTR">
				<td>${user.firstName}</td>
				<td>${user.lastName}</td>
				<td>${user.email}</td>
				<td>${user.graduationYear}</td>
			</tr>
		</c:forEach>
		</tbody>
	</c:if>
	<c:if test="${fn:length(userlist) lt 1}">
		<tr>
			<td>No users are currently registered at ${school.schoolShortName}.</td>
		</tr>
	</c:if>
	</table>
</div>
<%@ include file="static/footer.jsp"%>