//
//  Admin.h
//  EducationPlus
//
//  Created by Jon Freberg on 5/13/12.
//  Copyright (c) 2012 FrebergWeb. All rights reserved.
//

#import <Foundation/Foundation.h>
#import <CoreData/CoreData.h>

@class Course;

@interface Admin : NSManagedObject

@property (nonatomic, retain) NSNumber * unique;
@property (nonatomic, retain) NSString * firstName;
@property (nonatomic, retain) NSString * lastName;
@property (nonatomic, retain) NSString * email;
@property (nonatomic, retain) NSString * password;
@property (nonatomic, retain) NSSet *administrates;
@end

@interface Admin (CoreDataGeneratedAccessors)

- (void)addAdministratesObject:(Course *)value;
- (void)removeAdministratesObject:(Course *)value;
- (void)addAdministrates:(NSSet *)values;
- (void)removeAdministrates:(NSSet *)values;

@end
