//
//  Course.h
//  EducationPlus
//
//  Created by Jon Freberg on 5/13/12.
//  Copyright (c) 2012 FrebergWeb. All rights reserved.
//

#import <Foundation/Foundation.h>
#import <CoreData/CoreData.h>

@class User;

@interface Course : NSManagedObject

@property (nonatomic, retain) NSNumber * unique;
@property (nonatomic, retain) NSString * code;
@property (nonatomic, retain) NSString * name;
@property (nonatomic, retain) NSString * descriptionCourse;
@property (nonatomic, retain) NSManagedObject *administratedBy;
@property (nonatomic, retain) NSSet *news;
@property (nonatomic, retain) NSSet *students;
@end

@interface Course (CoreDataGeneratedAccessors)

- (void)addNewsObject:(NSManagedObject *)value;
- (void)removeNewsObject:(NSManagedObject *)value;
- (void)addNews:(NSSet *)values;
- (void)removeNews:(NSSet *)values;

- (void)addUserObject:(User *)value;
- (void)removeUserObject:(User *)value;
- (void)addUser:(NSSet *)values;
- (void)removeUser:(NSSet *)values;

@end
