//
//  MenuSwipeGestures.h
//  EducationPlus
//
//  Created by Jon Freberg on 3/19/12.
//  Copyright (c) 2012 FrebergWeb. All rights reserved.
//

#import <UIKit/UIKit.h>

@interface MenuSwipeGestures : NSObject

- (void)initializeMenuSwipeGestures:(UIView *)sender svc:(NSArray *)splitViewController;

- (void)showMasterView:(NSArray *)splitViewController;
- (void)hideMasterView:(NSArray *)splitViewController;

- (void)handleRightSwipeGesture:(UISwipeGestureRecognizer *)gesture svc:(NSArray *)splitViewController;
- (void)handleLeftSwipeGesture:(UISwipeGestureRecognizer *)gesture svc:(NSArray *)splitViewController;
- (void)handleTapGesture:(UITapGestureRecognizer *)gesture svc:(NSArray *)splitViewController;

@end
