//
//  NewsTableViewController.h
//  EducationPlus
//
//  Created by Jon Freberg on 5/12/12.
//  Copyright (c) 2012 FrebergWeb. All rights reserved.
//

#import <UIKit/UIKit.h>
#import "CoreDataTableViewController.h"
#import "Course+Create.h"
#import "News+Create.h"

@class NewsTableViewController;

@interface NewsTableViewController : CoreDataTableViewController <UITableViewDataSource, UITableViewDelegate> 

@property (nonatomic, strong) News *news;
@property (nonatomic, strong) Course *course;
@property (nonatomic, weak) UITableView *tableView;

- (void)setupFetchedResultsController:(NSManagedObjectContext *)managedObjectContext;

@end
