//
//  School.h
//  EducationPlus
//
//  Created by Jon Freberg on 3/20/12.
//  Copyright (c) 2012 FrebergWeb. All rights reserved.
//

#import <Foundation/Foundation.h>
#import <CoreData/CoreData.h>

@class User;

@interface School : NSManagedObject

@property (nonatomic, retain) NSNumber * unique;
@property (nonatomic, retain) NSString * shortName;
@property (nonatomic, retain) NSString * fullName;
@property (nonatomic, retain) NSNumber * active;
@property (nonatomic, retain) NSSet *students;
@end

@interface School (CoreDataGeneratedAccessors)

- (void)addStudentsObject:(User *)value;
- (void)removeStudentsObject:(User *)value;
- (void)addStudents:(NSSet *)values;
- (void)removeStudents:(NSSet *)values;

@end
