//
//  User.h
//  EducationPlus
//
//  Created by Jon Freberg on 5/13/12.
//  Copyright (c) 2012 FrebergWeb. All rights reserved.
//

#import <Foundation/Foundation.h>
#import <CoreData/CoreData.h>

@class Course, School;

@interface User : NSManagedObject

@property (nonatomic, retain) NSString * email;
@property (nonatomic, retain) NSString * firstName;
@property (nonatomic, retain) NSNumber * graduationYear;
@property (nonatomic, retain) NSString * lastName;
@property (nonatomic, retain) NSString * password;
@property (nonatomic, retain) NSString * school;
@property (nonatomic, retain) NSNumber * unique;
@property (nonatomic, retain) School *goesTo;
@property (nonatomic, retain) NSSet *attends;
@end

@interface User (CoreDataGeneratedAccessors)

- (void)addAttendsObject:(Course *)value;
- (void)removeAttendsObject:(Course *)value;
- (void)addAttends:(NSSet *)values;
- (void)removeAttends:(NSSet *)values;

@end
