//
//  UserWS.h
//  EducationPlus
//
//  Created by Jon Freberg on 3/21/12.
//  Copyright (c) 2012 FrebergWeb. All rights reserved.
//

#import <UIKit/UIKit.h>
#import "User.h"
#import <Foundation/Foundation.h>
#import <CommonCrypto/CommonDigest.h>
#import <SystemConfiguration/SystemConfiguration.h>

#define USER_ID @"id"
#define USER_FIRST_NAME @"firstName"
#define USER_LAST_NAME @"lastName"
#define USER_GRADUATION_YEAR @"graduationYear"
#define USER_SCHOOL @"school"
#define USER_EMAIL @"email"
#define USER_PASSWORD @"password"

@interface UserWS : NSObject

+ (NSArray *)tryLogin:(NSString *)jsonObject;
+ (NSArray *)tryLoginCred:(NSString *)email password:(NSString *)password;
+ (NSArray *)registerNewUser:(NSString *)jsonObject;
+ (NSArray *)getUser:(NSString *)email;
+ (NSArray *)getUserById:(NSString *)userId;
+ (NSArray *)getAllSchools;
+ (NSArray *)getNewsForCourse:(NSString *)courseId;

@end
