package no.ntnu.jf.dao;

import java.util.List;

import no.ntnu.jf.model.School;

public interface SchoolDAO {
	public abstract School saveSchool(School s);
	public abstract boolean removeSchool(School s);
	public abstract List<School> findAllSchools();
	public abstract School getSchoolByShortName(String shortName);
	public abstract School getSchoolByFullName(String fullName);
	public abstract School getSchoolById(long id);	//TODO: long i stedet for String for id?
}
