package no.ntnu.jf.dao;

import java.util.List;

import no.ntnu.jf.model.Course;
import no.ntnu.jf.model.User;
import no.ntnu.jf.model.UserInterface;

public interface UserDAO {
	public abstract User saveUser(User u);
	public abstract void removerUser(User u);
	public abstract List<UserInterface> findAllUsers();
	public abstract UserInterface getUserByEmail(String email);
	public abstract User getUserById(long id);
	public abstract List<User> findAllUsersAtSchool(long schoolId);
//	public abstract void addUserToCourse(Course course);
}
