<%@ include file="static/header.jsp" %>
<%@ include file="static/menu.jsp" %>

<div id="content">
<h1>Create a new course</h1>

<%-- <h2>Email: ${admin.email}</h2> --%>
<%-- <h2>School: ${school.schoolID}</h2> --%>

<div id="addCourse">
	<form:form class="addEntityForm" modelAttribute="course" id="courseForm">
		
<!-- 		<fieldset> -->
			<table>
				<tr>
					<td>Course code:</td>
					<td><input class="required" type="text" name="courseCode" id="courseCodeId" value="">
					</td>
				</tr>
				<tr>
					<td>Course name:</td>
					<td><input class="required" type="text" name="courseName" id="courseNameId" />
					</td>
				</tr>
				<tr>
					<td>Course description:</td>
					<td><input class="required" type="text" name="courseDescription" id="courseDescriptionId" />
					</td>
				</tr>
<!-- 				<tr> -->
<!-- 					<td colspan='2'><input value="Save course" id="savebutton" type="submit" /></td> -->
<!-- 					<td colspan='2'><input value="Reset values" name="resetbutton" type="reset" /></td> -->
<!-- 				</tr> -->
<!-- 				<tr> -->
<!-- 					<td colspan="2" id="confirmationLabel"></td> -->
<!-- 				</tr> -->
			</table>
<!-- 		</fieldset> -->
		
	</form:form>
	
	<p id="confirmationLabel"></p>
	
	<input value="Save course" id="savebutton" type="submit" />
<!-- 	<input value="Reset values" name="resetbutton" type="reset" /> -->
</div>
</div>	<!-- End CONTENT -->
<%@ include file="static/footer.jsp" %>

<script type="text/javascript">

$(document).ready(function() {
	
	$("#courseForm").validate();
	
	$("#savebutton").click(function() {
		if ($("#courseForm").valid()) {
			var courseTemp = $("#courseForm").serializeObject();
			var courseToServer;
			
			var schoolID = "${school.schoolID}";
			var schoolShortName = "${school.schoolShortName}";
			var schoolActive = "${school.active}";
			var schoolFullName = "${school.schoolFullName}";
			
			var schoolJSON = {"schoolID" : schoolID, "schoolShortName" : schoolShortName, "active" : schoolActive, "schoolFullName" : schoolFullName};
	
			var adminID = "${admin.id}";
			var email = "${admin.email}";
			var firstName = "${admin.firstName}";
			var lastName = "${admin.lastName}";
			var password = "${admin.password}";
			
			var adminJSON = {"id" : adminID, "email" : email, "firstName" : firstName, "lastName" : lastName, "password" : password,  "school" : schoolJSON};
	
			courseToServer = {"courseCode" : courseTemp.courseCode, "courseName" : courseTemp.courseName, 
							  "courseDescription" : courseTemp.courseDescription, "school" : schoolJSON,
							  "admin" : adminJSON};
			
// 			alert(JSON.stringify(courseToServer));
			
			$.postJSON("/abc/course", courseToServer, function(courseReturned) {
				if(courseReturned.courseId == 0) {
// 					alert("Retur verdi er null");
					$("#confirmationLabel").html("Course code already exists in database.");
					$("#confirmationLabel").css({"color": "red"});
				} else {
					$("#courseCodeId").val("");
					$("#courseNameId").val("");
					$("#courseDescriptionId").val("");
					
					$("#confirmationLabel").html("Course saved.");
					$("#confirmationLabel").css({"color": "green"});
				}
			});
		}
	});	
});

</script>








